@import url("https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap");

h1,
h2,
h3,
h4,
h5,
h6,
p,
div,
span,
li,
small,
a {
  font-family: "Open Sans", sans-serif !important;
}
/* 
.action.tocart.primary {
  display: flex !important;
  height: 32px;
  padding: 10px 8px;
  justify-content: center;
  align-items: center;
  gap: 4px;
  border-radius: 40px !important;
  background: var(--Primary-Green, #0bb34b) !important;
  flex-direction: row-reverse !important;
} */
                      .action.tocart.primary {
                        color: var(--Bg-Cta-Primary, #0DB14B) ;
                        text-align: center;
                        font-family: var(--Font-Family-Eng-semi-bold, Gilroy-SemiBold);
                        font-size: var(--Font-Size-S, 16px);
                        font-style: normal;
                        font-weight: var(--Font-Weight-Semi-Bold, 400);
                        line-height: normal;
                        border-radius: 12px ;
                        border: 1px solid var(--Bg-Cta-Primary, #0DB14B) ;
                        background: var(--Bg-Cta-Secondary, #FEFCFC) ;
                      }

                      .action.tocart.primary span  {
                        color: #0DB14B ;
                      }
                      .action.tocart.primary span:hover  {
                        color: #ffffff !important ;
                      }

                      .action.tocart.primary:hover {
                        color: var(--Bg-Cta-Primary, #ffffff) ;
                        border-radius: 12px ;
                        border: none ;
                        background: #0DB14B ;
                      }
      .action.tocart.primary>* {
        color: var(--Secondary-White, #fefcfc);
        text-align: center;
        font-size: 14px;
        font-style: normal;
        font-weight: 700;
        line-height: 21px;
        text-transform: uppercase;
      }

.product-item .tocart:before {
  content: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none"><path d="M2.5 4.25C2.5 3.84 2.84 3.5 3.25 3.5h.56c.95 0 1.52.64 1.85 1.23.22.4.38.86.5 1.27h12.59c.83 0 1.43.79 1.2 1.59l-1.83 6.41c-.34 1.18-1.42 2-2.65 2H9.53c-1.24 0-2.33-.83-2.65-2L6.12 11.2 4.86 6.96c-.16-.57-.31-1.1-.52-1.5-.21-.39-.38-.46-.5-.46h-.56c-.41 0-.75-.34-.75-.75ZM7.57 10.84l.75 2.74c.15.54.65.91 1.21.91h5.95c.56 0 1.05-.37 1.2-.91l1.74-6.09H6.59l.98 3.2ZM11 19a2 2 0 1 1-4 0 2 2 0 0 1 4 0Zm-1.5 0a.5.5 0 1 0-1 0 .5.5 0 0 0 1 0ZM18 19a2 2 0 1 1-4 0 2 2 0 0 1 4 0Zm-1.5 0a.5.5 0 1 0-1 0 .5.5 0 0 0 1 0Z" fill="%23FEFCFC"/></svg>');
  line-height: 1;
}

@media screen and (max-width: 767px) {
  .product-item-inner * {
    width: 100%;
  }

  button.action.tocart.primary>span {
    display: none !important;
  }

  .catalog-product-view button.action.tocart.primary>span {
    display: block !important;
  }
}

.wk-right1,
.wk-right {
  display: none !important;
}

/* start custom style for popup */
.popup-authentication .block-authentication .modal-header {
  height: 50px;

}

.popup-authentication .block-authentication .modal-content svg {
  display: none;
}

.popup-authentication .block-authentication {
  border: none;
}

.modal-custom .action-close,
.modal-popup .action-close,
.modal-slide .action-close {
  color: var(--main-color) !important;
  top: 10px;
}


.popup-authentication .block[class] {
  padding: 0 32px;
}

.block-authentication .actions-toolbar>.primary {
  width: 100%;
  display: flex !important;
  justify-content: start !important;

}

.block-authentication .actions-toolbar>.primary .action {
  background: var(--main-color);
  border: none;
  text-transform: capitalize;
  border-radius: 30px;
}

.block-authentication .block[class] ul {
  display: flex;
  flex-direction: column;
  align-items: start;
  gap: 10px;
  font-weight: 500;
}

.block-authentication .block-title strong {
  font-size: 18px;
  font-weight: 500;
}

.popup-authentication .block-customer-login {
  padding-top: 10px !important;
}

/*start new for checkout sign up modal*/
.modal-content:has(.block-new-customer)>svg {
  display: none !important;
}

.modal-popup:has(.block-new-customer) .action-close,
.modal-slide:has(.block-new-customer) .action-close {
  right: 8px;
  top: 8px;
}

@media screen and (max-width: 767px) {
  .popup-authentication:has(.block-new-customer) .block[class] {
    padding: 0px;
    text-align: start;
  }

  .popup-authentication:has(.block-new-customer) .block-content {
    font-size: 22px;
    word-spacing: 1px;
    line-height: 28px;
  }

  .popup-authentication:has(.block-new-customer) .block-content ul li {
    display: flex;
    gap: 10px;
    align-items: center;
    justify-content: center;
  }

  .popup-authentication:has(.block-new-customer) .block-content ul li:before {
    width: 10px;
    height: 10px;
    background: var(--main-color);
    content: '';
    display: inline-block;
  }


  .popup-authentication:has(.block-new-customer) .block[class] ul {
    padding: 0px;
  }

  .block-authentication:has(.block-new-customer) .actions-toolbar {
    padding-top: 54px;
  }

  .block-authentication:has(.block-new-customer) .actions-toolbar>.primary {
    padding-top: 10px;
  }

  .block-authentication:has(.block-new-customer) .block-title {
    padding-top: 24px;
  }

  .popup-authentication:has(.block-new-customer) .block-customer-login .block-title strong {
    font-size: 22px;
    word-spacing: 1px;
    line-height: 28px;
    font-weight: 700;
  }

  .popup-authentication:has(.block-new-customer) .actions-toolbar>.primary .action {
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .popup-authentication:has(.block-new-customer) .modal-content {
    position: absolute;
    padding-top: 10px;
    width: 100%;
  }

  .modal-popup .action-close {
    z-index: 99999;
  }

  .block-authentication div.sociallogin-wrapper div.sociallogin-block div.sociallogin-padding div.sociallogin-box a.sociallogin-button.sociallogin-button {
    width: 100% !important;
  }

  .modal-slide._inner-scroll .modal-header {
    height: 100px;
    max-height: 100px;
    min-height: unset;
    overflow: hidden;
    position: fixed;
    z-index: 99999;
    width: fit-content;
    right: 0px;
    left: unset;
  }

  .block-authentication strong#block-new-customer-heading-social-login {
    display: none !important;
  }
}

/*end new for checkout sign up modal*/


.block-authentication .block[class] .field .label {
  width: 100%;
  text-align: start;
  font-size: 16px;
  color: #333;
}

.message-success.success.message {
  display: none !important;
}

.popup-authentication .block-customer-login .block-title strong {
  font-size: 18px;
  font-weight: 500;
}

.block-authentication .actions-toolbar>.primary .action {
  color: #fff;
  font-weight: 700;
}

.block-authentication div.sociallogin-wrapper div.sociallogin-block div.sociallogin-padding div.sociallogin-box a.sociallogin-button.sociallogin-button span {
  font-size: 12px !important;
}

.block-authentication>svg,
.block-authentication>p.sub-text {
  display: none !important;
}

.fieldset>.field input.input-text {
  background: transparent;
  border-radius: 6px;
}

.modal-popup.popup-authentication .sub-text {
  display: none !important;
}

/* end custom style for popup */